#include <iostream>

using namespace std;

int main()
{
    int T,hossz,magassag,o=0,null;
    cin >>T;
    for (int i=0;i<T;i++){
        cin>>hossz;
        o=0;
        cin>>magassag;

        if(hossz!=magassag){
            cout<<"-1"<<endl;
        }
        else{
    for (int cs=0;cs<magassag;cs++){
            null=magassag-2-cs;
        for(int p=0;p<hossz;p++){
            if(cs==0 || cs==magassag-1){
                cout<<" 1 ";
            }
            else{
                if(p==0 ||p==magassag-1 ){
                    cout<<" 1 ";
                }
                else{


                    if(null+1>=0){
                        cout<<" 0 ";
                    }
                    else{
                        cout<<" 1 ";
                    }

                }
                }
            null--;
            }






        cout<<endl;
        }




    }
        }

    return 0;
}